import type { Span as OtelSpan } from '@opentelemetry/sdk-trace-base';
import type { TransactionSource } from '@sentry/types';
interface SpanDescription {
    op: string | undefined;
    description: string;
    source: TransactionSource;
}
/**
 * Extract better op/description from an otel span.
 *
 * Based on https://github.com/open-telemetry/opentelemetry-collector-contrib/blob/7422ce2a06337f68a59b552b8c5a2ac125d6bae5/exporter/sentryexporter/sentry_exporter.go#L306
 *
 * @param otelSpan
 * @returns Better op/description to use, or undefined
 */
export declare function parseSpanDescription(otelSpan: OtelSpan): SpanDescription;
export {};
//# sourceMappingURL=parse-otel-span-description.d.ts.map